<?php

class Xoxo_ObjectFormDefault
  extends Formable_Form_Abstract
{
  /**
   * @see Formable_Interface::form()
   */
  public function formBuild(array &$form, array $values = array(), $parent = NULL) {
    // Create vertical tabs group.
    $form['#type'] = 'vertical_tabs';
    $form['#tree'] = TRUE;
    $form['xoxo'] = array(
      '#type' => 'fieldset',
      '#title' => t("Identification"),
      '#group' => 'components',
      '#collapsible' => TRUE,
      '#collapsed' => TRUE,
    );
    $form['xoxo']['description'] = array(
      '#type' => 'textfield',
      '#title' => t("Description"),
      '#description' => t("Short description about this object."),
      '#default_value' => $parent->getDescription(),
    );
  }

  /**
   * @see Formable_Interface::formValidate()
   */
  public function formValidate(array &$values, $parent = NULL) {}

  /**
   * @see Formable_Interface::formSubmit()
   */
  public function formSubmit(array &$values, $parent = NULL) {
    $parent->setDescription($values['xoxo']['description']);
  }
}
